#property copyright "Copyright  2016 - alToronto"

#define ident "ocn_nmaEA_v1.1"

enum enPrices
{
   pr_close,      // Close
   pr_open,       // Open
   pr_high,       // High
   pr_low,        // Low
   pr_median,     // Median
   pr_typical,    // Typical
   pr_weighted,   // Weighted
   pr_average,    // Average (high+low+open+close)/4
   pr_medianb,    // Average median body (open+close)/2
   pr_tbiased,    // Trend biased price
   pr_haclose,    // Heiken ashi close
   pr_haopen ,    // Heiken ashi open
   pr_hahigh,     // Heiken ashi high
   pr_halow,      // Heiken ashi low
   pr_hamedian,   // Heiken ashi median
   pr_hatypical,  // Heiken ashi typical
   pr_haweighted, // Heiken ashi weighted
   pr_haaverage,  // Heiken ashi average
   pr_hamedianb,  // Heiken ashi median body
   pr_hatbiased   // Heiken ashi trend biased price
};

extern double   lots           = 0.4;
extern double   stop_loss      = 0; 
extern double   take_profit    = 0;
extern int      NMAPeriod      = 40;
extern enPrices NMAPrice       = pr_close;
extern int      TEMAPeriod     = 15;
extern bool     doubleSmooth   = false;
extern int      magicNumber    = 05052011;
int last_bar = 0;

int start()
{
 if (last_bar == Bars) return(0); last_bar = Bars;
 double pipMultiplier = 1; if (Digits==3 || Digits==5) pipMultiplier=10;
 double slopeCurrent = iCustom(NULL,0,"ocn nma 3_3","",0,NMAPeriod,NMAPrice,TEMAPeriod,doubleSmooth,3,1);
 double slopePrevious = iCustom(NULL,0,"ocn nma 3_3","",0,NMAPeriod,NMAPrice,TEMAPeriod,doubleSmooth,3,2);

if ((OrdersTotal() == 0) || (OrdersTotal() > 0))
   if (slopeCurrent != slopePrevious)
   {
   
      if (slopePrevious == -1) {     
   	     
   	     double buyStopLoss = 0;
           if (stop_loss > 0) buyStopLoss = Ask-stop_loss*Point*pipMultiplier;
           double buyTakeProfit = 0;
           if (take_profit > 0) buyTakeProfit = Ask+take_profit*Point*pipMultiplier;
           OrderSend(Symbol(), OP_BUY, lots ,Ask, 3, buyStopLoss, buyTakeProfit, ident, magicNumber, 0, Lime); 
      }
      if (slopePrevious == 1) {
           double sellStopLoss = 0;
           if (stop_loss > 0) sellStopLoss = Bid+stop_loss*Point*pipMultiplier;
           double sellTakeProfit = 0;
           if (take_profit > 0) sellTakeProfit = Bid-take_profit*Point*pipMultiplier;
           OrderSend(Symbol(), OP_SELL, lots ,Bid, 3, sellStopLoss, sellTakeProfit, ident, magicNumber, 0, Red);
      }
   }

return(0);
}