#property copyright "Copyright  2016 - alToronto"

#define ident "ocn_nmaEA_v1"

enum enPrices
{
   pr_close,   // Close
   pr_open,    // Open
   pr_high,    // High
   pr_low,     // Low
   pr_median,  // Median
   pr_typical, // Typical
   pr_weighted // Weighted
};

extern double   lots           = 0.4;
extern double   stop_loss      = 0; 
extern double   take_profit    = 0;
extern int      NMAPeriod      = 40;
extern enPrices NMAPrice       = pr_close;
extern int      TEMAPeriod     = 15;
extern int      SmoothPeriod   = 8;
extern bool     SmoothUsingSSM = true;
extern bool     Interpolate    = true; 
extern int      magicNumber    = 05052011;
int last_bar = 0;

int start()
{
 if (last_bar == Bars) return(0); last_bar = Bars;
 double pipMultiplier = 1; if (Digits==3 || Digits==5) pipMultiplier=10;
 double slopeCurrent = iCustom(NULL,0,"ocn nma smooth mtf 2.01","",NMAPeriod,NMAPrice,TEMAPeriod,SmoothPeriod,SmoothUsingSSM,Interpolate,4,1);
 double slopePrevious = iCustom(NULL,0,"ocn nma smooth mtf 2.01","",NMAPeriod,NMAPrice,TEMAPeriod,SmoothPeriod,SmoothUsingSSM,Interpolate,4,2);

if ((OrdersTotal() == 0) || (OrdersTotal() > 0))
   if (slopeCurrent != slopePrevious)
   {
   
      if (slopePrevious == -1) {     
   	     
   	     double buyStopLoss = 0;
           if (stop_loss > 0) buyStopLoss = Ask-stop_loss*Point*pipMultiplier;
           double buyTakeProfit = 0;
           if (take_profit > 0) buyTakeProfit = Ask+take_profit*Point*pipMultiplier;
           OrderSend(Symbol(), OP_BUY, lots ,Ask, 3, buyStopLoss, buyTakeProfit, ident, magicNumber, 0, Lime); 
      }
      if (slopePrevious == 1) {
           double sellStopLoss = 0;
           if (stop_loss > 0) sellStopLoss = Bid+stop_loss*Point*pipMultiplier;
           double sellTakeProfit = 0;
           if (take_profit > 0) sellTakeProfit = Bid-take_profit*Point*pipMultiplier;
           OrderSend(Symbol(), OP_SELL, lots ,Bid, 3, sellStopLoss, sellTakeProfit, ident, magicNumber, 0, Red);
      }
   }

return(0);
}